typedef u_int32_t * row; //row of an F2 matrix
typedef row * matrix; //matrix as a list of pointers to rows

extern void insertEntry(matrix, u_int32_t, u_int32_t);
extern void xorEntry(matrix, u_int32_t, u_int32_t);
extern u_int32_t getEntry(matrix, u_int32_t, u_int32_t);
extern matrix constructMat(u_int32_t, u_int32_t);
extern void xorRows(row, row, u_int32_t);
extern void clearRow(matrix, u_int32_t, u_int32_t);
extern void swapRows(row, row);
extern u_int32_t gaussReduce(matrix, u_int32_t, u_int32_t, int32_t);
extern void displayRow(matrix, u_int32_t, u_int32_t);



 
