// =====================================================================
// INTERFACE:
//
// void ChineseInit(void)
//         - Initialise variables for chinese
//
// void modmul(mpz_t ab, mpz_t a, mpz_t b, mpz_t p)
//         - sets ab to a*b modulo p
//
// void chinese(mpz_t res, mpz_t n, mpz_t x1, mpz_t x2, mpz_t n1, mpz_t n2)
//         - sets n to n1*n2
//         - sets res mod n to a value congruent to x1 mod n1 and x2 mod n2
//
// ======================================================================
 
extern void ChineseInit(void);
extern void modmul(mpz_t, mpz_t, mpz_t, mpz_t);
extern void chinese(mpz_t, mpz_t, mpz_t, mpz_t, mpz_t, mpz_t);
 


